org.apache.lucene.codecs.lucene41

## Class Lucene41PostingsReader

- java.lang.Object
- - org.apache.lucene.codecs.PostingsReaderBase
  - - org.apache.lucene.codecs.lucene41.Lucene41PostingsReader

- All Implemented Interfaces:
    Closeable, AutoCloseable, Accountable

  Deprecated.
  only for reading old 4.x segments

      @Deprecated
      public final class Lucene41PostingsReader
      extends PostingsReaderBase

  Lucene 4.1 postings format.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Lucene41PostingsReader(Directory dir, FieldInfos fieldInfos, SegmentInfo segmentInfo, IOContext ioContext, String segmentSuffix)` Deprecated. Sole constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkIntegrity()` Deprecated.
    `void` | `close()` Deprecated.
    `void` | `decodeTerm(long[] longs, DataInput in, FieldInfo fieldInfo, BlockTermState _termState, boolean absolute)` Deprecated.
    `Collection<Accountable>` | `getChildResources()` Deprecated.
    `void` | `init(IndexInput termsIn, SegmentReadState state)` Deprecated.
    `BlockTermState` | `newTermState()` Deprecated.
    `PostingsEnum` | `postings(FieldInfo fieldInfo, BlockTermState termState, PostingsEnum reuse, int flags)` Deprecated.
    `long` | `ramBytesUsed()` Deprecated.
    `String` | `toString()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Lucene41PostingsReader

          public Lucene41PostingsReader(Directory dir,
                                FieldInfos fieldInfos,
                                SegmentInfo segmentInfo,
                                IOContext ioContext,
                                String segmentSuffix)
                                 throws IOException

      Deprecated.
      Sole constructor.
      Throws:
        `IOException`

  - ### Method Detail

    - #### init

          public void init(IndexInput termsIn,
                  SegmentReadState state)
                    throws IOException

      Deprecated.
      Specified by:
        `init` in class `PostingsReaderBase`
      Throws:
        `IOException`

    - #### newTermState

          public BlockTermState newTermState()

      Deprecated.
      Specified by:
        `newTermState` in class `PostingsReaderBase`

    - #### close

          public void close()
                     throws IOException

      Deprecated.
      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in class `PostingsReaderBase`
      Throws:
        `IOException`

    - #### decodeTerm

          public void decodeTerm(long[] longs,
                        DataInput in,
                        FieldInfo fieldInfo,
                        BlockTermState _termState,
                        boolean absolute)
                          throws IOException

      Deprecated.
      Specified by:
        `decodeTerm` in class `PostingsReaderBase`
      Throws:
        `IOException`

    - #### postings

          public PostingsEnum postings(FieldInfo fieldInfo,
                              BlockTermState termState,
                              PostingsEnum reuse,
                              int flags)
                                throws IOException

      Deprecated.
      Specified by:
        `postings` in class `PostingsReaderBase`
      Throws:
        `IOException`

    - #### ramBytesUsed

          public long ramBytesUsed()

      Deprecated.

    - #### getChildResources

          public Collection<Accountable> getChildResources()

      Deprecated.

    - #### checkIntegrity

          public void checkIntegrity()
                              throws IOException

      Deprecated.
      Specified by:
        `checkIntegrity` in class `PostingsReaderBase`
      Throws:
        `IOException`

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `Object`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.